<mat-toolbar class="root-toolbar">
  <div class="right-panel">
    <button
      *ngIf="isMobileView$ | async"
      mat-icon-button
      (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <div class="icon">
      <a routerLink="/">
        <rdn-logo-without-label
          *ngIf="isMobileView$ | async; else desktopView"
          [width]="50">
        </rdn-logo-without-label>
        <ng-template #desktopView>
          <rdn-main-logo [width]="300"></rdn-main-logo>
        </ng-template>
      </a>
    </div>
  </div>
  <nav *ngIf="!(isMobileView$ | async)" [tabPanel]="tabPanel" mat-tab-nav-bar>
    <ng-container *ngFor="let route of commonRoutes; trackBy: trackByFn">
      <a
        *ngIf="!route.data['onlyForLoggedInUsers'] || (user$ | async)"
        mat-tab-link
        [routerLink]="[route.path]"
        [active]="link.isActive"
        routerLinkActive
        [routerLinkActiveOptions]="{ exact: true }"
        #link="routerLinkActive">
        {{ route.data['label'] }}
      </a>
    </ng-container>
  </nav>
  <div class="user-menu">
    <rdn-user-menu *ngIf="user$ | async as user; else unlogged"></rdn-user-menu>
    <ng-template #unlogged>
      <button mat-icon-button (click)="openLoginDialog()">
        <mat-icon>login</mat-icon>
      </button>
    </ng-template>
  </div>
</mat-toolbar>

<mat-sidenav-container class="nav-container">
  <mat-sidenav class="sidenav" #sidenav>
    <mat-nav-list *ngIf="isMobileView$ | async">
      <ng-container *ngFor="let route of commonRoutes; trackBy: trackByFn">
        <a
          *ngIf="!route.data['onlyForLoggedInUsers'] || (user$ | async)"
          mat-list-item
          [routerLink]="[route.path]"
          routerLinkActive
          [class.active]="link.isActive"
          [routerLinkActiveOptions]="{ exact: true }"
          #link="routerLinkActive"
          class="sidenav-link">
          {{ route.data['label'] }}
        </a>
      </ng-container>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content
    infiniteScroll
    [infiniteScrollDistance]="2"
    [infiniteScrollThrottle]="300"
    [scrollWindow]="false"
    (scrolled)="scrolled($event)">
    <mat-tab-nav-panel #tabPanel>
      <div class="layout">
        <router-outlet></router-outlet>
      </div>
    </mat-tab-nav-panel>
  </mat-sidenav-content>
</mat-sidenav-container>

<button
  *ngIf="showScrollTopButton$ | async"
  (click)="scrollTop()"
  class="go-top"
  mat-icon-button>
  <mat-icon color="accent">arrow_upward</mat-icon>
</button>
